Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools
Class RegisterChannelType

    java.lang.Object
      org.jasig.portal.tools.RegisterChannelType

    public class RegisterChannelType

extends java.lang.Object

A tool for registering a new channel type with uPortal. Channel types are defined by a java class name and an associated channel publishing document. Once added with this tool, a channel type will be available to channel publishers for the production of new channel definitions based on the channel type.

Usage: RegisterChannelType

Version:
  $Revision: 1.9 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`protected static IChannelRegistryStore` | `chanRegStore`

Constructor Summary
`RegisterChannelType()`

Method Summary
`private static void` | `checkValidity(java.lang.String name, java.lang.String value)` Utility method for checking validity of type parameters.
`static void` | `main(java.lang.String[] args)`
`private static void` | `msg(java.lang.String msg)`
`private static void` | `printHelp()`
`static java.lang.String` | `register(java.lang.String clazz, java.lang.String name, java.lang.String description, java.lang.String uri)` Registers a new channel type for the given parameters or updates an existing type with the specified parameters if an existing type is found having the specified uri.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chanRegStore

    protected static IChannelRegistryStore chanRegStore

Constructor Detail

### RegisterChannelType

    public RegisterChannelType()

Method Detail

### main

    public static void main(java.lang.String[] args)

### checkValidity

    private static void checkValidity(java.lang.String name,
                                      java.lang.String value)
                               throws java.lang.IllegalArgumentException

  Utility method for checking validity of type parameters.

  Parameters:
    `name` -
    `value` -
  Throws:
    `java.lang.IllegalArgumentException`

### register

    public static java.lang.String register(java.lang.String clazz,
                                            java.lang.String name,
                                            java.lang.String description,
                                            java.lang.String uri)
                                     throws java.lang.Exception

  Registers a new channel type for the given parameters or updates an existing type with the specified parameters if an existing type is found having the specified uri.

  Throws:
    `java.lang.Exception`

### msg

    private static void msg(java.lang.String msg)

### printHelp

    private static void printHelp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD